org.apache.http.client.methods

## Class HttpEntityEnclosingRequestBase

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpEntityEnclosingRequestBase

- All Implemented Interfaces:
    Cloneable ， AbortableHttpRequest ， Configurable ， HttpExecutionAware ， HttpUriRequest ， HttpEntityEnclosingRequest ， HttpMessage ， HttpRequest
  已知直接子类：
    HttpPatch ， HttpPost ， HttpPut

      public abstract class HttpEntityEnclosingRequestBase
      extends HttpRequestBase
      implements HttpEntityEnclosingRequest

  包含可以修改的HTTP请求的实体的基本实现
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `HttpEntityEnclosingRequestBase()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `boolean` | `expectContinue()`
    `HttpEntity` | `getEntity()`
    `void` | `setEntity(HttpEntity entity)`

    - ### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

      `getConfig, getMethod, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

    - ### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

      `abort, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

      `abort, isAborted`

- - ### 构造方法详细信息

    - #### HttpEntityEnclosingRequestBase

          public HttpEntityEnclosingRequestBase()

  - ### 方法详细信息

    - #### getEntity

          public HttpEntity getEntity()

      Specified by:
        `getEntity`在界面 `HttpEntityEnclosingRequest`

    - #### setEntity

          public void setEntity(HttpEntity entity)

      Specified by:
        `setEntity`在界面 `HttpEntityEnclosingRequest`

    - #### expectContinue

          public boolean expectContinue()

      Specified by:
        `expectContinue`在界面 `HttpEntityEnclosingRequest`

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      重写：
        `clone`在 `AbstractExecutionAwareRequest`
      异常
        `CloneNotSupportedException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585